package org.hnau.scripts


object ImpLinesToEnCase {

    @JvmStatic
    fun main(args: Array<String>) {

        println(
                """
THE FATEFUL EVENT AND ITS VERBAL REPRESENTATION IN THE NARRATIVE OF AGUSTÍN CELIS SÁNCHEZ «PEÓN AL PASO»
METAPHORICAL REPRESENTATION OF LANGUAGE IN THE POPULAR SCIENCE TEXT
THE STUDY OF THE RECEPTION OF THE FILM TEXT AND ITS REMAKE BY RUSSIAN-SPEAKING VIEWERS (BASED ON THE MATERIAL OF THE FILMS "BIENVENUE CHEZ LES CH'TIS" (FRANCE 2008) AND "BENVENUTI AL SUD" (ITALY 2010)
THE REPRESENTATION OF THE DOMINANT CONCEPT OF THE ORIGINAL TEXT IN TRANSLATION (BASED ON THE CHAPTER «ATTITUDES» FROM THE BOOK BY R. BUTTERFIELD «A PSYCHOLOGICAL PROFILE INTO THE CRIMINAL MIND»)
CONCEPT FUTURE TRANSLATION IN THE INTERPRETATION OF THE SCIENTIFIC ARTICLE “TELLING TOMORROWS: SCIENCE FICTION AS AN ENERGY FUTURES RESEARCH TOOL” BY P. G. RAVEN
EXPERIMENTAL STUDY OF THE FUNCTIONING OF THE METAPHOR "ENERGY IS MONEY" IN A BASIC FOREIGN LANGUAGE (ENGLISH)
VERBAL REPRESENTATION OF THE CONCEPT EXPERIENCIA DE MATERNIDAD (BASED ON A. GRANDES’S NOVEL “AMOR DE MADRE”)

TRANSLATION OF POLITICAL PROPAGANDA: COGNITIVE AND DISCURSIVE ASPECT
POLITICAL DISCOURSE AND ITS LEXICAL FEATURES
SPECIFIC FEATURES OF THE BRITIH POLITICAL DISCOURSE TRANSLATION (BASED ON THE CHAPTER “POLITICS AND GOVERMENT” FROM JOHN OAKLAND’S BOOK “BRITISH CIVILIZATION. AN INTRODUCTION”)
THE VARIOUS WAYS OF TERMINOLOGICAL LANGUAGE IN THE GERMAN AUTOMOBILE MEDIA DISCOURSE (ON THE EXAMPLE FROM THE GERMAN CAR MAGAZINES)
SPECIFICITY OF NATURE CONSERVATION TEXTS TRANSLATION
METAPHTONYMY AS THE IDEOLOGIZATION MECHANISM IN THE ADVERTISING DISCOURSE
FEATURES OF TRANSLATION OF CIVIL AVIATION PROFESSIONAL DISCOURSE TERMINOLOGY 

ENGAMENT IN SPANISH ROCK-MUSIC IN TRANSLATION TO RUSSIAN
TYPES OF TRANSLATION METATEXT IN ARTWORK (on the material of the collection of translations of Selma Ancira «Paisaje capri-choso de la literatura rusa: Antología»)
REPRESENTATION OF IMAGERY OF «CLIFFEDGE» BY G. SWIFT IN RUSSIAN TRANSLATION 
AUTHOR’S TRANSLATION AS A FORM OF INTERCULTURAL COMMUNICATION (ON THE NABOKOV’S TEXTS OF «LOLITA»)
THE PROBLEM OF LITERARY TRANSLATION ON THE EXAMPLE OF THE ANALYSIS OF THE TEXT OF A SERIES OF NOVELS ABOUT HARRY POTTER AND THEIR TRANSLATIONS FROM THE PUBLISHING HOUSES "ROSMEN" AND "MACHAON"
STRATEGIES AND TACTICS OF ELIMINATION OF LEXICAL LACUNAS IN TRANSLATIONS OF THE RUSSIAN LITERATURE INTO SPANISH BY SELMA ANCIRA 

REPRESENTATION OF SOCIAL AND HOUSEHOLD PHENOMENA IN THE KING JAMES BIBLE (ON THE EXAMPLE OF THE GOSPELL ACCORDING TO MARK)
THE TRANSFER OF EMOTIONAL COMPONENT OF PRE- ELECTION SPEECH
„ACCESSIBILITY‟ AND „ENTERTAINMENT‟ AS A TRANSFER MEANS OF POPULARIZATION OF SCIENTIFIC KNOWLEDGE
REPRODUCTION OF THE NATURAL CULTURAL BACKGROUND OF THE AMERICAN MEDIASPHERE IN TRANSLATION (ON THE BASIS OF THE CHAPTER “THE MEDIA” BY DAVID MAUK AND JOHN OAKLAND “AMERICAN CIVILIZATION. AN INTRODUCTION”)

METAPHORICAL MODELING OF REPRESENTATION OF EVENTS (IN RUSSIAN- AND GERMAN-LANGUAGE FICTION TEXTS OF THE POST-WAR PERIOD IN THE 50-70-IES OF THE XX CENTURY)
J. R. R. TOLKIEN`S “SELLIC SPELL” AS A REM-SCELA OF THE EPIC POEM “BEOWULF”
HISTORIC ROOTS OF THE ENGLISH VOCABULARY: GERMANIC BASIS
PECULIARITIES OF LANGUAGE SYMBOLISM IN DIFFERENT CULTURES (BASED ON THE ENGLISH AND SPANISH LANGUAGES)
THE DIACHRONIC AND SYNCHR ONIC APPROACHES TO THE STUDY OF THE CATEGORY OF CASE IN ENGLISH
THE ROMAN IMPACT ON THE ENGLISH LANGUAGE

Кууушенька, [12.12.19 21:45]
THEORETICAL ASPECTS OF TEACHING READING USING THE PROGRAM "PROREADING"
THE USAGE OF MOBILE APPLICATIONS IN TEACHING GERMAN LANGUAGE: THE QUESTION OF RELEVANCE
LINGUODIDACTIC ADAPTATION OF A LITERARY TEXT IN ENGLISH LANGUAGE TEACHING
MONITORING OF THE FORMATION OF THE TERMINOLOGI- CAL COMPETENCE
MEANS OF DEVELOPING OF A SECONDARY LANGUAGE PERSONALITY OF STUDENTS IN THE PROCESS OF STUDYING A FOREIGN LANGUAGE
MIND-MAPS AS A METHOD OF INFORMATION PROCESSING IN TEACHING PROFESSIONALLY-ORIENTED READING (ON THE MATERIAL OF THE TOPIC «SCHOOL SYSTEM OF GERMANY»)
GROUP AND PAIR FORMS OF WORK AS A CONDITION FOR IMPROVING MOTIVATION OF STUDENTS TO LEARN FOREIGN LANGUAGE
MIND-MAPS AS A BASIS FOR DEVELOPING AN EXERCISE SYSTEM FOR TEACHING PROFESSIONALLY-ORIENTED READING (ON THE MATERIAL OF THE THEME “GERMAN SCHOOL EDUCATION SYSTEM”)
UNESCO CHAIRS AS INTERNATIONAL EDUCATIONAL RESEARCH CENTRES
A SYSTEM OF EXERCISES FOR THE FORMING INFORMATIVE READING SKILLS THROUGH THE PROGRAM "PROREADING"

COMPARATIVE ANALYSIS OF SCREEN VERSION (1992, G. SINISE) OF JOHN STEINBECK’S "NOVELLA OF MICE AND MEN": IMAGES, PLOT, INTERMEDIALITY
INTERTEXT IN A.S.BYATT’S SHORT STORY "ON THE DAY THAT E.M.FORSTER DIED"
THE FUNTIONS OF THE ARRAS IN THE ROMANCE BY W.MORRIS “THE WALL AT THE WORLD'S END”
«STUDENT – TEACHER» THEME IN A.S.BYATT’S STORY «RACINE AND THE TABLECLOTH»
COMEDY J. GLOWACKI IN THE CONTEXT OF THE ABSURD DRAMA
INTERTEXT IN THE PIECE BY E. ELINEK “WHAT HAPPENED AFTER WHICH NORA DIEDS FROM HOME”
THE 1888 BARCELONA UNIVERSAL EXPOSITION: COMPREHEN-SION OF DOCUMENTARY AND ARTISTIC PRINCIPLES IN E. MEN-DOZA’S NOVEL «THE CITY OF MARVELS»
RELEVANT PROBLEMS OF MODERN DRAMA (BASED ON THE SHORT LISTS GERMAN FESTIVAL “FIND”) 

IMAGERY IN THE SHORT STORY "GROUNDLINGS" BY J. GARDAM 
THE IMAGE OF THE DOOR IN “THE CHRONICLES OF NARNIA” BY  C.S. LEWIS AND “THE GOLDEN KEY” BY GEORGE MACDONALD
CONFLICT IN THE NOVEL“HIS BLOODY PROJECT” BY GRAEME MACRAE BURNET
THE IMAGE OF TEACHER AND MENTOR IN  MARK HADDON’S NOVEL “THE CURIOUS INCIDENT OF THE DOG IN THE NIGHT-TIME”
THE IMAGE OF A POET IN THE COMEDY "MASTER CAT, OR THE BOOTED CAT" BY LUDWIG TIECK
THE IMAGE OF SEVILLE IN A. PEREZ-REVERTE’S NOVEL "THE SKIN OF THE DRUM"
MYTHOLOGICAL SEMANTICS OF NATURAL IMAGES IN T. HARDY'S NOVEL TESS OF THE d'URBERVILLES.

THE PROBLEM OF EMIGRATION AND IMAGES OF EMIGRANTS IN THE WORKS OF AMERICAN WRITERS OF THE XX CENTURY
THE FEATURES OF UNRELIABLE NARRATION IN THE NOVEL «THE CASEBOOK OF VICTOR FRANKENSTEIN» BY PETER ACKROYD
ANIMALIZATION AND THE REASONS FOR IT IN THEGRAPHIC NOVEL “MAUS” BY ART SPIEGELMAN
FRIEDRICH SCHILLER’S "MARIA STEWART" AS AN EPIC DRAMA
THE THEME OF EMIGRATION AND IMAGES OF EMIGRANTS IN E. L. DOCTOROW’S NOVEL “RAGTIME”
RELIGIOUS MOTIFS IN GEORGE ELIOT’S “ADAM BEDE”

THE LINGUISTIC REPRESENTATION OF THE FRENCH REMINISCENCES IN THE SHORT STORIES OF THE COLLECTION «ELEMENTALS» BY A. S. BYATT
ALOGISM AS A FEATURE OF JONATHAN FOER’S STILE IN THE SHORT STORY «HERE WE AREN’T, SO QUICKLY»
REPRESENTATION OF EMOTIVENESS OF PHILIP LARKIN’S COLLECTION «THE WHITSUN WEDDINGS»
POETICS OF THE SHORT STORY «DESTROYED» BY H.MANTEL
POETICS OF THE SHORT STORY BY BERNARD MACLAVERTY “BETWEEN TWO SHORES”
                """
                        .replace("«", "\"")
                        .replace("»", "\"")
                        .replace("“", "\"")
                        .replace("”", "\"")
                        .trim()
                        .mapParts(
                                isPartSymbol = { char -> char !in setOf('\n', '"', '.') }
                        ) { line ->
                            line
                                    .mapParts(
                                            isPartSymbol = { char ->
                                                char.isLetter() || char == '’'
                                            },
                                            action = String::toEnCase
                                    )
                                    .upFirst()
                        }
        )
    }

}